#pragma once
#include "rendernode.h"
#include "object/render/mesh_render.h"
namespace engineapi {
	class Camera;
	class Model;
	class RenderNodeForwardRendering : public RenderNode
	{
	public:
		RenderNodeForwardRendering();
		~RenderNodeForwardRendering();

		virtual void Render(Camera& camera);

	private:
		Model* mSky;

		void RenderSkyBox(Camera& camera);
		void RenderBatches(const map<uint32_t, vector<MeshRenderer*>>& batchs);
	};
}